Bug 33127 - QA0322 - RFE: DCC returned data not being well used?
QA0322 - RFE: DCC returned data not being well used?
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-03-25 14:59 EST by R P Herrold
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-25 14:59:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2001-03-25 14:59:37 EST
Not for for the present test cycle, but ...

I was configuring a laptop (a two year old Toshiba) and during install it
queried and received DCC parameters ...

Reported as a TOS5082, 31.5-48.5  and 50-70 ...

which is NOT is the Xconfigurator monitor database ...


It concluded, and runs very nicely.  Obvioully new monitors and panels will
proliferate beyond the ability of anyone to keep up to date.  

RFE 1. As a rework of Xconfigurator, add a DCC query, and if a DCC return
is received, perhaps a new branch of code, using that DCC data, might be

RFE 2. Ask permission, and report the DCC data of monitors names NOT found
in the Xconfigurator list back to a email collection address at RH for
Xconfig monitor list extension, in well formed format, for automated data
collection of monitor specs.  See also Bugzilla 25919
Comment 1 Preston Brown 2001-03-27 12:18:44 EST
Recent versions of Xconfigurator do make efficient use of DDC.  they get the 
EDID, look up the monitor in the database, and use that timing info if 
present.  If not present, it falls back to the DDC timing info, if that 
appears sane.  If it appears insane (and yes, some monitors have an EDID but 
report refresh rates that are totally out of whack), it then makes you choose.

The monitor EDID data sharing with Red Hat is a good idea, we'll have to 
figure out how to best implement getting such data back to us.

Note You need to log in before you can comment on or make changes to this bug.